Bug 66499 - abiword destroys RTF files on import
abiword destroys RTF files on import
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: abiword (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-11 10:11 EDT by Burt Holzman
Modified: 2007-04-18 12:43 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-07-08 02:00:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Sample RTF file destroyed by abiword (3.35 KB, text/rtf)
2002-06-11 10:12 EDT, Burt Holzman
no flags Details

  None (edit)
Description Burt Holzman 2002-06-11 10:11:33 EDT
This is probably a similar failure mode to bug #57781.

If you ask abiword to read in an rtf file on startup, like so:

abiword foo.rtf

Abiword will overwrite the file.  Starting Abiwor separately and attempting to
open the file leads to an "Error Importing File" and the original file is extant.

A sample file is attached.

Versions:
[burt@bar ~]$ uname -a
Linux bar.chm.bnl.gov 2.4.9-31 #1 Tue Feb 26 07:11:02 EST 2002 i686 unknown
[burt@bar ~]$ cat /etc/issue
Red Hat Linux release 7.2 (Enigma)
Kernel \r on an \m
[burt@bar ~]$ rpm -q abiword
abiword-0.7.14-7
Comment 1 Burt Holzman 2002-06-11 10:12:25 EDT
Created attachment 60504 [details]
Sample RTF file destroyed by abiword
Comment 2 Jeremy Katz 2002-07-18 00:50:29 EDT
This seems to work for me with current versions in rawhide.

Note You need to log in before you can comment on or make changes to this bug.